Subject: Re: Mugwort's odd sense of humor

From: Adam Van Wirdum <[email-masked]>
Date: 8 Apr 1995 11:08:58 GMT

[email-masked] ([email-masked]) wrote:
>
> For several days now, I've been taking daily, sublingual extract
> of mugwort.  The rumors of improved dream recall were what prompted me
> to experiment with it initially, but a general, unexpected
> improvement in disposition have led me to stick with it (switching
> my regimen from evening to morning on the way).  Whether
> this is some sort of placebo effect I can't say at this point.
> But I've also noticed odd random thoughts hitting me several times
> a day since I've started this regimen.  These are subtle, abrupt,
> and often humorous in a roundabout, "inside" sort of way.  Usually
> they are quite strange as well.  I'm not complaining, as I rather
> enjoy them.  I do wonder whether this is a usual "side effect" of
> mugwort, however.  Has anyone else found this stuff to improve
> disposition or to dislodge odd, random thoughts?  Or did I just
> have a few screws loose to begin with?
>

Mugwort is a fascinating herb with a very long history in magic and medicine.
 I have never heard of the effect you describe but nothing would surprise me
about this herb. Fascinated by your research. Let me know what happens next.
Michael Bailes
The Fragrant Garden
Erina Australia